#!/bin/bash
GCC_VERSION=13.1.0

echo "<<< Build GCC >>>"
mkdir -p psx-gcc
cd psx-gcc

echo "<<< clone binutils >>>"
git clone git://sourceware.org/git/binutils-gdb.git
cd binutils-gdb

mkdir -p build
cd build

echo "<<< Configure binutils >>>"
../configure --target=mipsel-linux-gnu --with-sysroot --disable-nls --disable-werror
if [ $? -ne 0 ]; then
  exit 1
fi
echo "<<< Make binutils >>>"
make
if [ $? -ne 0 ]; then
  exit 1
fi
echo "<<< Install binutils >>>"
make install
if [ $? -ne 0 ]; then
  exit 1
fi

cd ../..

echo "<<< clone gcc >>>"
git clone --recurse-submodules git://gcc.gnu.org/git/gcc.git
cd gcc

echo "<<< checkout gcc $GCC_VERSION >>>"
git checkout releases/$GCC_VERSION

mkdir -p build
cd build
echo "<<< configure gcc >>>"
../configure --target=mipsel-linux-gnu --disable-nls --enable-languages=c,c++ --without-headers
if [ $? -ne 0 ]; then
  exit 1
fi

echo "<<< Make gcc >>>"
make all-gcc
if [ $? -ne 0 ]; then
  exit 1
fi

echo "<<< Install gcc >>>"
make install-gcc
if [ $? -ne 0 ]; then
  exit 1
fi

echo "<<< Delete GCC folder >>>"
cd /usr
rm -fr psx-gcc

# TODO: Remove gcc files after everything 